Get a knowledge base document
curl --request GET \
--url https://api.talkpilot.io/v1/agents/{agentId}/knowledge-base/{documentId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.talkpilot.io/v1/agents/{agentId}/knowledge-base/{documentId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.talkpilot.io/v1/agents/{agentId}/knowledge-base/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "agent",
"title": "<string>",
"content": "<string>",
"source_type": "manual",
"source_url": "<string>",
"status": "pending",
"chunk_count": 123,
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Knowledge Base
Get a knowledge base document
GET
/
v1
/
agents
/
{agentId}
/
knowledge-base
/
{documentId}
Get a knowledge base document
Authorizations
API key for external access. Format: tp_live_<32-hex-chars>.
Create keys in the TalkPilot Dashboard under Settings > API.
Path Parameters
Agent UUID
Knowledge base document UUID
Response
Document details
Agent that created the document; null for organization-level documents
agent: created by this agent, writable. organization: shared company knowledge granted to this agent — readable, but write operations return 403 (manage it in the Dashboard)
Available options:
agent, organization Document text content (null for file-based documents)
manual for documents created via the API; Dashboard uploads carry their file type or website
Available options:
manual, pdf, csv, txt, docx, website Processing status, managed by the pipeline (read-only)
Available options:
pending, processing, ready, error, failed Number of chunks created for embedding